                   (***********************************************************)
                   (*      FLY-CUT PROGRAMME                                  *)
                   (*       AUTHUR: M. GOUWS & THM                            *)
                   (*        DATE: 28 JANUARY 2010                            *)
                   (***********************************************************) 
M48
M98PSTRTTIME.SUBL1
[CLS]
[WINDOW ON]
(TOUCH OFF TO FIND Z VALUE)
G91
[CLS]
[PRINT ""]
[PRINT ""]
[PRINT "                    ***  MAKE SURE VACUUM IS TURNED ON  ***"]
[PRINT ""]
[PRINT "                    *** PRESS START BUTTON TO CONTINUE  ***"]
[PRINT "CAUTION !!!   MACHINE WILL INDEX OUT OVER TABLE, TO ENABLE TOUCH OFF ON PART SURFACE  !!!"]
M00
[CLS]
[WINDOW OFF]
T990
[DAYLIGHT = READDAYLIGHT]
G01 X800 Y2000 F30000
F1200
[PRINT "                ***  USE HANDHELD PROGRAMMER OR FUNCTION KEYS ON CONTROLER  ***"]
[PRINT "                       TOUCH OFF ON SURFACE OF SPOILBOARD WITH FLYCUTTER"]
[PRINT "                           WRITE DOWN TOUCH OFF # FOR LATER REFERENCE   "]
[PRINT ""]
[PRINT "                !!!!  Z AXIS WILL MOVE IN MACHINE'S DEFAULT DIMENSION MODE !!!!"]
[PRINT "                          ONCE YOU HAVE FOUND TOUCH OFF VALUE"]
[PRINT "        ***  PRESS CLEAR ON HANDHELD OR F10 FROM FUNC MENU, TO CLEAR TOUCH OFF MOVE  ***"]
[PRINT "                      !!!  Z AXIS WILL RETRACT BACK TO HOME POSITION !!!"]
[PRINT ""]
[PRINT "                           ***  PRESS START BUTTON TO CONTINUE.  ***"]
[WINDOW ON]
M00
G90 
G00 X0 Y0
(*** TOUCH OFF VALUE  ***)
[CLS]
[LOCATE 2,1]
[PRINT "                               ***  ENTER Z TOUCH OFF VALUE  ***"]
[PRINT "                   !! THIS VALUE MUST BE IN MACHINE'S DEFAULT DIMENSION MODE !!"]
[PRINT ""]
[PRINT "      !! BE SURE THIS NUMBER IS CORRECT, IF NUMBER IS TO LARGE, CUTTER CAN CRASH INTO PART !!"]
[PRINT ""]
[PRINT "                             ***  PRESS ENTER KEY WHEN FINISHED.  ***"]
[WINDOW ON]
[INPUT Z_TOUCH]
[Z_TOUCH=ABS(Z_TOUCH)]
[THICKNESS = DAYLIGHT - Z_TOUCH]
(*** AMOUNT OF MATERIAL REMOVAL  ***)
[CLS]
[LOCATE 3,1]
[PRINT "                ***  ENTER THE AMOUNT OF MATERIAL YOU WANT TO REMOVE WHEN FLYCUTTING  ***"]
[PRINT "                      !! THIS VALUE MUST BE IN MACHINE'S DEFAULT DIMENSION MODE !!"]
[PRINT ""]
[PRINT ""]
[PRINT "                            ***  PRESS ENTER KEY WHEN FINISHED  ***"]
[INPUT FC_AMT]
[FC_AMT=ABS(FC_AMT)]
[STEP_OVER = 40.00]
[ABS_Y = 0]
[CLS]
[PRINT "LENGTH? ";]
[INPUT LENGTH]
[PRINT "WIDTH? ";]
[INPUT WIDTH]
SET ZSHIFT = THICKNESS 
SET XSHIFT = LENGTH
SET YSHIFT = WIDTH
[BOUNDRY = WIDTH - 25]
[CLS]
[LOCATE 4,1]
[PRINT "                        ***  YOU ARE NOW READY TO FLYCUT THE PART  ***"]
[PRINT ""]
[PRINT "                           ***  PRESS START BUTTON TO CONTINUE  *** "]
[PRINT " CAUTION !!!  SPINDLE WILL TURN ON AND MACHINE WILL BEGIN FLYCUT, WHEN CONT. FROM THIS POINT"]
[PRINT "                  FOR SAFETY, THE FEED CONTROL KNOB CAN BE USED TO SLOW MACHINE"]
M00
[CLS]
[WINDOW OFF]
S12000
T990M3
G90
G902
G00 X0 Y0
G01 Z10 F1200
G01 Z[-FC_AMT] F3500
G91
G01 X[LENGTH]  F28000
[ABS_Y = ABS_Y + STEP_OVER]

M80L1
G01 Y[STEP_OVER]
G01 X[-LENGTH]
[ABS_Y = ABS_Y + STEP_OVER]
IF [ABS_Y >= BOUNDRY] THEN M81L2
G01 Y[STEP_OVER]
G01 X[LENGTH]
[ABS_Y = ABS_Y + STEP_OVER]
IF [ABS_Y >= BOUNDRY] THEN M81L3
M81L1

M80L2
[LEFT_OVER = ABS_Y - BOUNDRY]
[STEP_OVER = STEP_OVER - LEFT_OVER]
G01 Y[STEP_OVER]
G01 X[LENGTH]
G90
G00 Z10
M81L999

M80L3
[LEFT_OVER = ABS_Y - BOUNDRY]
[STEP_OVER = STEP_OVER - LEFT_OVER]
G01 Y[STEP_OVER]
G01 X[-LENGTH]
G90
G00 Z10

M80L999
M05
G990
G00 Z0
G00 X0 Y0
M98PENDTIME.SUBL1
M02






